Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCBindingContainerDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCExecutableBindingDef
oracle.adf.model.binding.DCBindingContainerDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIExecutableDef, oracle.jbo.VariableManagerOwner

Direct Known Subclasses:
  JUFormDef

public class DCBindingContainerDef
extends DCExecutableBindingDef
implements oracle.jbo.VariableManagerOwner

Field Summary
`protected java.lang.String` | `mActionProcessorClassName`
`protected java.lang.String` | `mBindingContainerClassName`
`protected java.lang.String` | `mControllerClassName`
`protected java.util.ArrayList` | `mControls`
`protected boolean` | `mEnableTokenValidation`
`protected java.util.ArrayList` | `mExecutables`
`protected boolean` | `mFindMode`
`protected java.lang.String` | `mFormClassName`
`protected java.util.ArrayList` | `mIterators`
`protected oracle.adf.model.layout.DCLayoutDef` | `mLayoutDef`
`protected oracle.jbo.mom.xml.DefPersistable` | `mOuter`
`protected java.lang.String` | `mPackage`
`protected DCBindingContainerDef` | `mParentDef`
`protected java.lang.String` | `msgBundleClassName`
`protected java.util.ArrayList` | `mValidators`
`static java.lang.String` | `PNAME_BindingContainerClass`
`static java.lang.String` | `PNAME_EnableTokenValidation`
`static java.lang.String` | `PNAME_FindMode`
`static java.lang.String` | `PNAME_FormClass`
`static java.lang.String` | `PNAME_MsgBundleClass`
`static java.lang.String` | `PNAME_Package`
`static java.lang.String` | `PNAME_TYPE`
`static java.lang.String` | `PNAME_Viewable`

Fields inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`EXECUTABLE_ACTION, EXECUTABLE_ITERATORBINDING, EXECUTABLE_REGION, PNAME_option, PNAME_option_ALWAYS, PNAME_option_DEFAULT, PNAME_option_DEFER, PNAME_option_NEVER, PNAME_option_PREPARE, PNAME_option_PREPARE_OPT, PNAME_option_REFRESH, PNAME_option_REFRESH_OPT, PNAME_option_RENDER, PNAME_option_RENDER_OPT, PNAME_optionExpr, RC_ALWAYS, RC_DEFAULT, RC_DEFER, RC_NEVER, RC_PREPARE, RC_PREPARE_OPT, RC_REFRESH, RC_REFRESH_OPT, RC_RENDER, RC_RENDER_OPT`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`` | `DCBindingContainerDef()`
`protected` | `DCBindingContainerDef(oracle.adf.model.layout.DCLayoutDef layoutDef, java.lang.String formClassName, java.lang.String formBindingClassName)`
`protected` | `DCBindingContainerDef(oracle.jbo.mom.xml.DefPersistable outer)`

Method Summary
`void` | `addControlDef(DCControlBindingDef control)`
`void` | `addControlDef(DCControlBindingDef control, oracle.adf.model.layout.DCLayoutConsDef layoutCons)`
`void` | `addIterator(DCIteratorBindingDef iter)`
`DCBindingContainer` | `createBindingContainer(oracle.jbo.ApplicationModule anchorAM)` Internal: Applications should not use this method.
`DCBindingContainer` | `createBindingContainer(oracle.adf.model.BindingContext ctx)` Deprecated. since 10.1.3. Use createBindingContainer(BindingContext ctx, DCBindingContainer parent, String name) instead.
`DCBindingContainer` | `createBindingContainer(oracle.adf.model.BindingContext ctx, DCBindingContainer parent, java.lang.String name)` Internal: Applications should not use this method.
`DCControlBindingDef` | `createControlDef(java.util.HashMap initValues)` Internal: Applications should not use this method.
`java.util.ArrayList` | `createControls(DCBindingContainer formBnd)` Internal: Applications should not use this method.
`java.lang.Object` | `createExecutableBinding(oracle.adf.model.BindingContext ctx, DCBindingContainer formBnd)` Internal: Applications should not use this method.
`oracle.jbo.VariableValueManager` | `ensureVariableManager()`
`static DCBindingContainerDef` | `findDefObject(java.lang.String name)`
`static DCBindingContainerDef` | `findDefObjectNoSub(java.lang.String name)`
`java.lang.String` | `getActionProcessorClassName()`
`java.lang.String` | `getBindingContainerClassName()`
`DCControlBindingDef` | `getControlDef(java.lang.String name)`
`java.util.ArrayList` | `getControlDefs()`
`java.lang.String` | `getControllerClassName()`
`int` | `getExecutableType()` Return EXECUTABLE_REGION, EXECUTABLE_ITERATORBINDING or EXECUTABLE_ACTION based on what kind of binding this definition creates.
`boolean` | `getFindMode()` Return true if the bindingContainer instances should start in findMode.
`java.lang.String` | `getFormClassName()`
`java.lang.String` | `getFullName()`
`java.util.ArrayList` | `getIterators()`
`oracle.adf.model.layout.DCLayoutDef` | `getLayoutDef()` Internal: Applications should not use this method.
`java.lang.Class` | `getMessageBundleClass()` Internal: Applications should not use this method.
`java.lang.String` | `getMessageBundleClassName()`
`java.lang.String` | `getPackage()`
`DCControlBindingDef` | `getParameterDef(java.lang.String name)`
`java.util.ArrayList` | `getParameterDefs()` Returns the parameterSet of all parameters to the page/region
`oracle.jbo.VariableValueManager` | `getVariableManager()`
`protected oracle.jbo.VariableManagerOwner` | `getVariableManagerOwner()` Internal: Applications should not use this method.
`java.lang.String` | `getViewableString()`
`java.lang.String` | `getXMLElementTag()`
`boolean` | `hasVariables()`
`void` | `init(java.util.HashMap initValues)`
`void` | `initializeBindingContainer(DCBindingContainer formBnd, oracle.jbo.ApplicationModule anchorAM)` Internal: Applications should not use this method.
`void` | `initializeBindingContainer(DCDataControl dc, DCBindingContainer formBnd, boolean initialize)` Internal: Applications should not use this method.
`boolean` | `isTokenValidationEnabled()`
`protected void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)` Internal: Applications should not use this method.
`protected void` | `loadVariables(oracle.jbo.mom.xml.DefElement xmlElement)` Internal: Applications should not use this method.
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)` Internal: Applications should not use this method.
`void` | `setBindingContainerDef(DCBindingContainerDef def)`
`void` | `setFormClassName(java.lang.String formClassName)`
`void` | `setLayoutDef(oracle.adf.model.layout.DCLayoutDef layoutDef)` Internal: Applications should not use this method.
`void` | `setPackage(java.lang.String sValue)`

Methods inherited from class oracle.adf.model.binding.DCExecutableBindingDef
`getName, getPermissionClassName, getPermissionTargetName, getRefreshExpression, getRefreshOption, internalGetRefreshOptionFromString, internalHasPermission, isRefreshable`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Field Detail

### mLayoutDef

    protected oracle.adf.model.layout.DCLayoutDef mLayoutDef

### mFormClassName

    protected java.lang.String mFormClassName

### mBindingContainerClassName

    protected java.lang.String mBindingContainerClassName

### mOuter

    protected oracle.jbo.mom.xml.DefPersistable mOuter

### mPackage

    protected java.lang.String mPackage

### mParentDef

    protected DCBindingContainerDef mParentDef

### mExecutables

    protected java.util.ArrayList mExecutables

### mIterators

    protected java.util.ArrayList mIterators

### mControls

    protected java.util.ArrayList mControls

### mFindMode

    protected boolean mFindMode

### mEnableTokenValidation

    protected boolean mEnableTokenValidation

### msgBundleClassName

    protected java.lang.String msgBundleClassName

### mControllerClassName

    protected java.lang.String mControllerClassName

### mActionProcessorClassName

    protected java.lang.String mActionProcessorClassName

### PNAME_TYPE

    public static final java.lang.String PNAME_TYPE

  See Also:
    Constant Field Values

### PNAME_FormClass

    public static final java.lang.String PNAME_FormClass

  See Also:
    Constant Field Values

### PNAME_BindingContainerClass

    public static final java.lang.String PNAME_BindingContainerClass

  See Also:
    Constant Field Values

### PNAME_Package

    public static final java.lang.String PNAME_Package

  See Also:
    Constant Field Values

### PNAME_FindMode

    public static final java.lang.String PNAME_FindMode

  See Also:
    Constant Field Values

### PNAME_Viewable

    public static final java.lang.String PNAME_Viewable

  See Also:
    Constant Field Values

### PNAME_EnableTokenValidation

    public static final java.lang.String PNAME_EnableTokenValidation

  See Also:
    Constant Field Values

### PNAME_MsgBundleClass

    public static final java.lang.String PNAME_MsgBundleClass

  See Also:
    Constant Field Values

### mValidators

    protected java.util.ArrayList mValidators

Constructor Detail

### DCBindingContainerDef

    public DCBindingContainerDef()

### DCBindingContainerDef

    protected DCBindingContainerDef(oracle.jbo.mom.xml.DefPersistable outer)

### DCBindingContainerDef

    protected DCBindingContainerDef(oracle.adf.model.layout.DCLayoutDef layoutDef,
                                    java.lang.String formClassName,
                                    java.lang.String formBindingClassName)

Method Detail

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCExecutableBindingDef`

### findDefObjectNoSub

    public static DCBindingContainerDef findDefObjectNoSub(java.lang.String name)

### findDefObject

    public static DCBindingContainerDef findDefObject(java.lang.String name)

### getFullName

    public java.lang.String getFullName()

### setBindingContainerDef

    public void setBindingContainerDef(DCBindingContainerDef def)

### getFindMode

    public boolean getFindMode()

  Return true if the bindingContainer instances should start in findMode.

### isTokenValidationEnabled

    public boolean isTokenValidationEnabled()

### getFormClassName

    public java.lang.String getFormClassName()

### setFormClassName

    public void setFormClassName(java.lang.String formClassName)

### getMessageBundleClassName

    public final java.lang.String getMessageBundleClassName()

### getControllerClassName

    public final java.lang.String getControllerClassName()

### getActionProcessorClassName

    public final java.lang.String getActionProcessorClassName()

### getBindingContainerClassName

    public java.lang.String getBindingContainerClassName()

### getViewableString

    public java.lang.String getViewableString()

### getPackage

    public java.lang.String getPackage()

### setPackage

    public void setPackage(java.lang.String sValue)

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Overrides:
    `getXMLElementTag` in class `DCExecutableBindingDef`

### getLayoutDef

    public oracle.adf.model.layout.DCLayoutDef getLayoutDef()

  Internal: Applications should not use this method.

### setLayoutDef

    public void setLayoutDef(oracle.adf.model.layout.DCLayoutDef layoutDef)

  Internal: Applications should not use this method.

### createControls

    public java.util.ArrayList createControls(DCBindingContainer formBnd)

  Internal: Applications should not use this method.

### createBindingContainer

    public DCBindingContainer createBindingContainer(oracle.adf.model.BindingContext ctx)

  Deprecated. since 10.1.3. Use createBindingContainer(BindingContext ctx, DCBindingContainer parent, String name) instead.

### createBindingContainer

    public DCBindingContainer createBindingContainer(oracle.adf.model.BindingContext ctx,
                                                     DCBindingContainer parent,
                                                     java.lang.String name)

  Internal: Applications should not use this method.

### createBindingContainer

    public DCBindingContainer createBindingContainer(oracle.jbo.ApplicationModule anchorAM)

  Internal: Applications should not use this method.

### createExecutableBinding

    public java.lang.Object createExecutableBinding(oracle.adf.model.BindingContext ctx,
                                                    DCBindingContainer formBnd)

  Internal: Applications should not use this method.
  Specified by:
    `createExecutableBinding` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Specified by:
    `createExecutableBinding` in class `DCExecutableBindingDef`

### initializeBindingContainer

    public void initializeBindingContainer(DCBindingContainer formBnd,
                                           oracle.jbo.ApplicationModule anchorAM)

  Internal: Applications should not use this method.

### initializeBindingContainer

    public void initializeBindingContainer(DCDataControl dc,
                                           DCBindingContainer formBnd,
                                           boolean initialize)

  Internal: Applications should not use this method.

### getIterators

    public java.util.ArrayList getIterators()

### addIterator

    public void addIterator(DCIteratorBindingDef iter)

### getControlDefs

    public java.util.ArrayList getControlDefs()

### getControlDef

    public DCControlBindingDef getControlDef(java.lang.String name)

### addControlDef

    public void addControlDef(DCControlBindingDef control)

### addControlDef

    public void addControlDef(DCControlBindingDef control,
                              oracle.adf.model.layout.DCLayoutConsDef layoutCons)

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Internal: Applications should not use this method.
  Overrides:
    `retrieveFromXML` in class `DCExecutableBindingDef`

### loadChildrenFromXML

    protected void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Internal: Applications should not use this method.
  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

### getParameterDefs

    public java.util.ArrayList getParameterDefs()

  Returns the parameterSet of all parameters to the page/region

### getParameterDef

    public DCControlBindingDef getParameterDef(java.lang.String name)

### createControlDef

    public DCControlBindingDef createControlDef(java.util.HashMap initValues)

  Internal: Applications should not use this method.

### getExecutableType

    public int getExecutableType()

  Description copied from interface: `oracle.adf.model.binding.DCIExecutableDef`
  Return EXECUTABLE_REGION, EXECUTABLE_ITERATORBINDING or EXECUTABLE_ACTION based on what kind of binding this definition creates.
  Specified by:
    `getExecutableType` in interface `oracle.adf.model.binding.DCIExecutableDef`
  Specified by:
    `getExecutableType` in class `DCExecutableBindingDef`

### getMessageBundleClass

    public final java.lang.Class getMessageBundleClass()

  Internal: Applications should not use this method.

  Returns the class of the reference object.

  Specified by:
    `getMessageBundleClass` in interface `oracle.jbo.VariableManagerOwner`
  Returns:
    the class of the reference object.

### loadVariables

    protected void loadVariables(oracle.jbo.mom.xml.DefElement xmlElement)

  Internal: Applications should not use this method.

### getVariableManagerOwner

    protected oracle.jbo.VariableManagerOwner getVariableManagerOwner()

  Internal: Applications should not use this method.

### getVariableManager

    public final oracle.jbo.VariableValueManager getVariableManager()

  Specified by:
    `getVariableManager` in interface `oracle.jbo.VariableManagerOwner`

### hasVariables

    public final boolean hasVariables()

  Specified by:
    `hasVariables` in interface `oracle.jbo.VariableManagerOwner`

### ensureVariableManager

    public oracle.jbo.VariableValueManager ensureVariableManager()

  Specified by:
    `ensureVariableManager` in interface `oracle.jbo.VariableManagerOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.